"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimatableGradient = void 0;
const engine_1 = require("@tsparticles/engine");
const AnimatableGradientColor_js_1 = require("./AnimatableGradientColor.js");
const GradientAngle_js_1 = require("./GradientAngle.js");
class AnimatableGradient {
    constructor() {
        this.angle = new GradientAngle_js_1.GradientAngle();
        this.colors = [];
        this.type = engine_1.GradientType.random;
    }
    load(data) {
        if ((0, engine_1.isNull)(data)) {
            return;
        }
        this.angle.load(data.angle);
        if (data.colors !== undefined) {
            this.colors = data.colors.map(s => {
                const tmp = new AnimatableGradientColor_js_1.AnimatableGradientColor();
                tmp.load(s);
                return tmp;
            });
        }
        if (data.type !== undefined) {
            this.type = data.type;
        }
    }
}
exports.AnimatableGradient = AnimatableGradient;
