import { type Engine, type IDelta, type IParticleColorStyle, type IParticleUpdater, type RecursivePartial } from "@tsparticles/engine";
import type { GradientParticle, GradientParticlesOptions, IGradientParticlesOptions } from "./Types.js";
export declare class GradientUpdater implements IParticleUpdater {
    private readonly _engine;
    constructor(engine: Engine);
    getColorStyles(particle: GradientParticle, context: CanvasRenderingContext2D, radius: number, opacity: number): IParticleColorStyle;
    init(particle: GradientParticle): void;
    isEnabled(particle: GradientParticle): boolean;
    loadOptions(options: GradientParticlesOptions, ...sources: (RecursivePartial<IGradientParticlesOptions> | undefined)[]): void;
    update(particle: GradientParticle, delta: IDelta): void;
}
