(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./GradientAngleAnimation.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.GradientAngle = void 0;
    const engine_1 = require("@tsparticles/engine");
    const GradientAngleAnimation_js_1 = require("./GradientAngleAnimation.js");
    class GradientAngle {
        constructor() {
            this.value = 0;
            this.animation = new GradientAngleAnimation_js_1.GradientAngleAnimation();
            this.direction = engine_1.RotateDirection.clockwise;
        }
        load(data) {
            if ((0, engine_1.isNull)(data)) {
                return;
            }
            this.animation.load(data.animation);
            if (data.value !== undefined) {
                this.value = (0, engine_1.setRangeValue)(data.value);
            }
            if (data.direction !== undefined) {
                this.direction = data.direction;
            }
        }
    }
    exports.GradientAngle = GradientAngle;
});
