(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.updateGradient = updateGradient;
    const engine_1 = require("@tsparticles/engine");
    function updateGradient(particle, delta) {
        const { gradient } = particle;
        if (!gradient) {
            return;
        }
        (0, engine_1.updateAnimation)(particle, gradient.angle, false, engine_1.DestroyType.none, delta);
        for (const color of gradient.colors) {
            (0, engine_1.updateColor)(color.value, delta);
            if (color.opacity) {
                (0, engine_1.updateAnimation)(particle, color.opacity, true, engine_1.DestroyType.none, delta);
            }
        }
    }
});
