(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./GradientUpdater.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadGradientUpdater = loadGradientUpdater;
    const engine_1 = require("@tsparticles/engine");
    const GradientUpdater_js_1 = require("./GradientUpdater.js");
    async function loadGradientUpdater(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addParticleUpdater("gradient", () => {
            return Promise.resolve(new GradientUpdater_js_1.GradientUpdater(engine));
        }, refresh);
    }
});
